mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_MSFmtDescriptor Struct Reference

`#include <formats.h>`

## Data Fields
MSFormatType | type
char * | encoding
int | nchannels
int | rate
char * | fmtp
MSVideoSize | vsize
float | fps
char * | text

## Detailed Description

Structure describing fully a media format.

## Field Documentation

MSFormatType _MSFmtDescriptor::type

format type, audio or video

char* _MSFmtDescriptor::encoding

the name of the encoding: for example pcmu, H264, opus

int _MSFmtDescriptor::nchannels

number of channels, relevant for audio only

int _MSFmtDescriptor::rate

Samplerate for audio, clockrate for video

char* _MSFmtDescriptor::fmtp

fmtp

MSVideoSize _MSFmtDescriptor::vsize

video size

float _MSFmtDescriptor::fps

average framerate

char* _MSFmtDescriptor::text

do not use directly, use ms_fmt_descriptor_to_string() instead

The documentation for this struct was generated from the following file:

- formats.h